/*  
  ### REGLES DE MISE EN PAGE ###
  (pour que tout reste aligné sur la grille)
  
  > PENSER TOUTES LES MESURES EN MULTIPLE DE 5 !!
  > POUR h1, h2, h3 NE PAS UTILISER <br> POUR LES SAUTS DE LIGNES MAIS UN ESPACE !!


  ### IMPRESSION RISO
  transparent = transparent
  img + svg = display: none
  .page color transparent = transparent

  ### IMPRESSION LASER
  orangered = transparent

*/


/* -------- FONTS -------- */
@font-face {
  font-family: "hershey-40";
  src: url("fonts/Arkdes-Hershey-40.otf") format("opentype");
}
@font-face {
  font-family: "hershey-26";
  src: url("fonts/Arkdes-Hershey-26.otf") format("opentype");
}
@font-face {
  font-family: "hershey-17";
  src: url("fonts/Arkdes-Hershey-17.otf") format("opentype");
}

/* -------- RESET -------- */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video, br{
	margin: 0;
	padding: 0;
	border: 0;
	font: inherit;
}
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
  color: black;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* -------- GRILLES -------- */
.page{
  width: 100%;
  height: 100%;
  background-image: radial-gradient(circle at 0.25mm 0.25mm, grey 0.5mm, transparent 0);
  background-size: 5mm 5mm;
  background-position: -0.25mm -2.25mm;
  position: absolute;
  align-items: baseline;
  padding: .75cm .5cm .75cm .5cm;
  z-index: -1;
}
.blackpage{
  width: 100%;
  height: 100%;
  background-image: radial-gradient(circle at 0.25mm 0.25mm, white 0.5mm, white 0);
  background-size: 5mm 5mm;
  background-position: -0.25mm -2.25mm;
  position: absolute;
  align-items: baseline;
  padding: .75cm .5cm .75cm .5cm;
  z-index: -1;
}
/* -------- CORPS DE TEXTE -------- */
h1, h2, h3{
  font-weight: normal;
  margin: 2.5mm 0 0 0;
  opacity: 1;
}
h1{
  font-family: "hershey-40";
  font-size: 566.96pt;
  line-height: 13cm;
  max-width: 3ch;
}
h2 {
  font-family: "hershey-26";
  font-size: 368.13pt;
  line-height: 9.5cm;
  max-width: 4ch;
}
h3{
  font-family: "hershey-17";
  font-size: 240.81pt;
  line-height: 7cm;
  max-width: 5ch;
}
p, li{
  font-weight: normal;
  font-family: "hershey-40";
  font-size: 1.5cm;
  line-height: 1.5cm;
  max-width: 36ch;
  width: fit-content;
}
p:not(.bigsize, .grid-modules p, p.rotate){
  background-color: #fff;
}
img{
  width: 20cm;
  height: auto;
}
a{
  display: none;
}

ul:not(.chronologie){
  background-color: #fff;
  width: min-content;
  text-align: left;
  list-style: "↓" inside;
  padding: 0cm .5cm .5cm .5cm;
}
/* -------- MISE EN PAGE -------- */
/* -------- POSITION */
.center{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}
.top{
  position: absolute;
  top: 1cm;
}
.right{
  position: absolute;
  right: 1cm;
}
.bottom{
  position: absolute;
  bottom: 1.40cm;
}
.left{
  position: absolute;
  left: 1cm;
}
/* Entrée du livre */
.grid div{
  position: relative;
}
/* -------- STYLE */
.color{
  color: orangered;
}
.contour{
  color: transparent;
  -webkit-text-stroke: 4px black;
}
.contourcolor{
  color: transparent;
  -webkit-text-stroke: 4px orangered;
}
/* -------- DISPLAY */
.flex{
  display: flex;
}
.grid{
  display: grid;
  grid-template-columns: repeat(auto-fill, 7cm);
  justify-items: center;
  row-gap: 3mm;
  width: 21cm;
}
/* -------- FANTAISIE (exceptions) */
.rotate{
  transform: rotate(-90deg) translate(56.5%,-270%);
  transform-origin: center;
}
.bigsize{
  margin: 0px;
  font-size: 1200pt;
}
.justify{
  text-align: right;
}
.half{
  width: 80%;
}
.spacing{
  margin-left: -0.5cm;
}
.ajust{
  margin-left: .25cm;
  margin-top: .025cm;
}

/* -------- Textes génèse (exceptions) */
.chronologie li:nth-of-type(odd){
  padding-left: 2cm;
  margin-bottom: 1cm;
}
/* -------- Grille modules (exceptions) */

.modules{
  width: 17.5cm;
  border: .5cm solid transparent;
}

/* Exceptions bigsize */
h1.bigsize{
  transform: scale(1.3) translate(-38%,-38%);
}
p.bigsize, h1.bigsize{
  height: 50%;
}
h2.bigsize{
  transform: scale(1.25) translate(-35%,-35%);
}
h3.bigsize{
  transform: translate(-50%,-50%);
}